org.richfaces.component.attribute

## Interface AjaxProps

- All Superinterfaces:
    AjaxActivatorProps
  All Known Implementing Classes:
    AbstractAjaxFunction, AbstractCommandButton, AbstractCommandLink, AbstractDataScroller, AbstractDropTarget, AbstractFileUpload, AbstractMenuItem, AbstractPanelMenuGroup, AbstractPanelMenuItem, AbstractPoll, AbstractProgressBar, AbstractTab, AbstractTooltip, AbstractTree, AjaxBehavior, BasicActionComponent, ClientValidatorImpl, UICommandButton, UICommandLink, UIDataScroller, UIDropTarget, UIFileUpload, UIFunction, UIMenuItem, UIPanelMenuGroup, UIPanelMenuItem, UIPoll, UIProgressBar, UITab, UITooltip, UITree

      public interface AjaxProps
      extends AjaxActivatorProps

  Interface defining the methods for ajax activator components
  Author:
    Lukas Fryc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getExecute()` IDs of components that will participate in the "execute" portion of the Request Processing Lifecycle.
    `String` | `getOnbegin()` The client-side script method to be called before an ajax request.
    `String` | `getStatus()` Name of the request status component that will indicate the status of the Ajax request

    - ### Methods inherited from interface org.richfaces.component.attribute.AjaxActivatorProps

      `getData, getOnbeforedomupdate, getOncomplete, getRender, isLimitRender, isResetValues`

- - ### Method Detail

    - #### getExecute

          Object getExecute()

      IDs of components that will participate in the "execute" portion of the Request Processing Lifecycle. Can be a single ID, a space or comma separated list of IDs, or an EL Expression evaluating to an array or Collection. Any of the keywords "@this", "@form", "@all", "@none", "@region" may be specified in the identifier list. Some components make use of additional keywords

    - #### getStatus

          String getStatus()

      Name of the request status component that will indicate the status of the Ajax request

    - #### getOnbegin

          String getOnbegin()

      The client-side script method to be called before an ajax request.

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.